<?php

$id = trim($_POST['id']);
$id = strip_tags($id);
$id = htmlspecialchars($id);

$enviado = $_POST['enviado'];

$nombreen = trim($_POST['nombreen']);
$nombrees = trim($_POST['nombrees']);
$linken = trim($_POST['linken']);
$linkes = trim($_POST['linkes']);
$columna = trim($_POST['columna']);

$curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',

    CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateMenuPrincipal(data: {titulo: \\"'.$nombreen.'\\", tieneSubmenu: \\"'.$columna.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"publicado\\", localizations: {update: {data: {enviadoRevision: \\"'.$enviado.'\\", estatus: \\"publicado\\", link: \\"'.$linkes.'\\", tieneSubmenu: \\"'.$columna.'\\", titulo: \\"'.$nombrees.'\\"}, locale: es_MX}}, link: \\"'.$linken.'\\"}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n \\r\\n}\\r\\n","variables":{}}',
    CURLOPT_HTTPHEADER => array(
      'Content-Type: application/json',
      'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
    ),
  ));
  
  
$response = curl_exec($curl);

curl_close($curl);
//echo $response;

$jsonrespuesta = json_decode($response, true);
$id = $jsonrespuesta['data']['updateMenuPrincipal']['id'];

//echo $id;


  $sucess = "<p class='successmsg'>Enlace actualizado</script>";
  $fail = "<p class='errormsg'>Falló la actualización..</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpEnlace").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}